Authorization: Bearer <router-key> headers. The management plane accepts either a session cookie from login, an X-Api-Key header, or an Authorization: Bearer <session-token> headerhas two authentication surfaces. The data plane uses OpenAI-style Authorization: Bearer <router-key> headers. The management plane accepts either a session cookie from login, an X-Api-Key header, or an Authorization: Bearer <session-token> header.
Public routes that never require authentication include /health, /v1/router/version, /v1/router/auth/register, /v1/router/auth/register-status, /v1/router/auth/login, and /v1/router/auth/oauth/callback.
Public routes that never require authentication include /health, /v1/router/version, /v1/router/auth/register, /v1/router/auth/register-status, /v1/router/auth/login, and /v1/router/auth/oauth/callback.
Data plane authenticationData plane authentication
Inference endpoints (/v1/chat/completions and /v1/models) require a router API key. Pass it in the Authorization header as a Bearer tokenInference endpoints (/v1/chat/completions and /v1/models) require a router API key. Pass it in the Authorization header as a Bearer token.
/v1/router/keys.Create and revoke router keys via the management plane at /v1/router/keys.
Management plane authentication
Management routes under/v1/router/* support three authentication methods:
- Session cookie: Log in via
/v1/router/auth/loginto receive aSet-Cookieresponse witharia_router_session. Include the cookie on subsequent requests. - X-Api-Key header: Pass your API key in the
X-Api-Keyheader. - Authorization: Bearer: Pass a valid session token with a non-key prefix (keys start with
sk-aria_orsk-bf-; session tokens are hex strings and are resolved to users instead of API keys).
X-Api-Key:
Management plane authentication
Management routes under/v1/router/* support three authentication methods:
- Session cookie: Log in via
/v1/router/auth/loginto receive aSet-Cookieresponse witharia_router_session. Include the cookie on subsequent requests. - X-Api-Key header: Pass your API key in the
X-Api-Keyheader. - Authorization: Bearer: Pass a valid session token with a non-key prefix (keys start with
sk-aria_orsk-bf-; session tokens are hex strings and are resolved to users instead of API keys).
X-Api-Key: